unit U_TatGYSel;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxStyles, cxCustomData, cxGraphics, cxFilter, cxData, cxDataStorage,
  cxEdit, DB, cxDBData, ToolWin, ComCtrls, U_BaseHelp, cxGridCustomTableView,
  cxGridTableView, cxGridDBTableView, cxGridLevel, cxClasses, cxControls,
  cxGridCustomView, cxGrid, DBClient, ADODB, ImgList, StdCtrls, ExtCtrls,
  cxTextEdit, cxGridCustomPopupMenu, cxGridPopupMenu, cxLookAndFeels,
  cxLookAndFeelPainters, cxNavigator, dxDateRanges, dxBarBuiltInMenu,
  System.ImageList, U_BaseInput, cxCheckBox, cxCalendar, dxScrollbarAnnotations,
  dxSkinsCore, dxSkinsDefaultPainters, dxSkinOffice2013White, dxSkinSharpPlus,
  dxSkinWXI;

type
  TfrmTatGYSel = class(TfrmBaseHelp)
    ToolBar1: TToolBar;
    ADOQueryMain: TADOQuery;
    ADOQueryTemp: TADOQuery;
    ADOQueryCmd: TADOQuery;
    DS_1: TDataSource;
    CDS_1: TClientDataSet;
    TBSave: TToolButton;
    TBClose: TToolButton;
    ToolButton1: TToolButton;
    ADOConnection1: TADOConnection;
    Panel1: TPanel;
    GPM_1: TcxGridPopupMenu;
    ImageList1: TImageList;
    cxStyleRepository1: TcxStyleRepository;
    cxStyle1: TcxStyle;
    Label3: TLabel;
    Label2: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label1: TLabel;
    OrderNo: TEdit;
    C_Name: TEdit;
    C_Color: TEdit;
    C_ColorNo: TEdit;
    C_Pattern: TEdit;
    C_Code: TEdit;
    ConNo: TEdit;
    CustName: TEdit;
    Label9: TLabel;
    XH: TEdit;
    Label10: TLabel;
    OrdNote: TEdit;
    cxGrid1: TcxGrid;
    Tv1: TcxGridDBTableView;
    v1OrderNo: TcxGridDBColumn;
    Tv1Column2: TcxGridDBColumn;
    v1Column31: TcxGridDBColumn;
    v1Column5: TcxGridDBColumn;
    Tv1Column1: TcxGridDBColumn;
    v1Column19: TcxGridDBColumn;
    v1Column21: TcxGridDBColumn;
    v1Column2: TcxGridDBColumn;
    Tv1Column4: TcxGridDBColumn;
    v1PRTKZ: TcxGridDBColumn;
    v1Column3: TcxGridDBColumn;
    Tv1Column3: TcxGridDBColumn;
    v1Column7: TcxGridDBColumn;
    v1PRTMF: TcxGridDBColumn;
    Tv1Column8: TcxGridDBColumn;
    Tv1Column5: TcxGridDBColumn;
    Tv1Column11: TcxGridDBColumn;
    Tv1Column12: TcxGridDBColumn;
    Tv1Column13: TcxGridDBColumn;
    Tv1Column15: TcxGridDBColumn;
    Tv1Column6: TcxGridDBColumn;
    Tv1Column16: TcxGridDBColumn;
    v1Column4: TcxGridDBColumn;
    cxGrid1Level1: TcxGridLevel;
    Tv1Column7: TcxGridDBColumn;
    Tv1Column9: TcxGridDBColumn;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure TBSaveClick(Sender: TObject);
    procedure TBCloseClick(Sender: TObject);
    procedure OrderNoChange(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Tv1DblClick(Sender: TObject);
  private
    procedure InitGrid();
    { Private declarations }
  public
    FCoType, FAuthority: string;
    { Public declarations }
  end;

var
  frmTatGYSel: TfrmTatGYSel;

implementation

uses
  U_DataLink, U_RTFun;

{$R *.dfm}

procedure TfrmTatGYSel.FormCreate(Sender: TObject);
begin
  inherited;
  try
    with ADOConnection1 do
    begin
      Connected := false;
      ConnectionString := DConString;
      Connected := true;
    end;
    ADOQueryBaseCmd.Connection := ADOConnection1;
    ADOQueryBaseTemp.Connection := ADOConnection1;
  except
    application.MessageBox('网络连接失败！', '提示信息');
  end;
end;

procedure TfrmTatGYSel.FormDestroy(Sender: TObject);
begin
  inherited;
  frmTatGYSel := nil;
end;

procedure TfrmTatGYSel.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := cahide;
end;

procedure TfrmTatGYSel.InitGrid();
begin
  try
    ADOQueryMain.DisableControls;
    with ADOQueryMain do
    begin
      Close;
      sql.Clear;
      sql.Add(' select *,PZQty=(select count(*) from Tat_WB_Card X where X.OrderNo =A.OrderNo)');
      sql.Add(',ZS=(select ZS from Bs_Cloth_Info X where X.C_Code =B.C_Code)  ');
      sql.Add(' from Tat_Plan_Main A inner join Tat_Plan_Sub B on A.MainId=B.MainId');
      sql.Add(' where  isnull(A.status,''0'')=''22'' ');

//      ShowMessage(sql.Text);
      Open;
    end;
    SDofilter(ADOQueryMain, SGetFilters(Panel1, 1, 2));
    SCreateCDS(ADOQueryMain, CDS_1);
    SInitCDSData(ADOQueryMain, CDS_1);
  finally
    ADOQueryMain.EnableControls;
  end;
end;

procedure TfrmTatGYSel.OrderNoChange(Sender: TObject);
begin
  if ADOQueryMain.Active then
  begin
    SDofilter(ADOQueryMain, SGetFilters(Panel1, 1, 2));
    SCreateCDS(ADOQueryMain, CDS_1);
    SInitCDSData(ADOQueryMain, CDS_1);
  end;
end;

procedure TfrmTatGYSel.FormShow(Sender: TObject);
begin
  inherited;
  ReadCxGrid('单位名称1' + Trim(FCoType), TV1, '自定义数据');
  InitGrid();
end;

procedure TfrmTatGYSel.TBCloseClick(Sender: TObject);
begin
  inherited;
  Close;
end;

procedure TfrmTatGYSel.TBSaveClick(Sender: TObject);
begin
  WriteCxGrid('单位名称1' + Trim(FCoType), TV1, '自定义数据');

end;

procedure TfrmTatGYSel.ToolButton1Click(Sender: TObject); //选择
begin
  if (ADOQueryMain.IsEmpty) or (CDS_1.IsEmpty) then
  begin
    ShowMessage('请先选择数据行！');
    Exit;
  end;
  if (ADOQueryMain.FieldByName('C_Code').AsString = '') or (ADOQueryMain.FieldByName('C_Code').IsNull) then
  begin
    ShowMessage('请先选择产品信息！');
    Exit;
  end;
  if (ADOQueryMain.FieldByName('C_Name').AsString = '') or (ADOQueryMain.FieldByName('C_Name').IsNull) then
  begin
    ShowMessage('请先选择产品信息！');
    Exit;
  end;
  ModalResult := 1;
end;

procedure TfrmTatGYSel.Tv1DblClick(Sender: TObject);
begin
  ModalResult := 1;
end;

end.

